YKUSHCMD(1)

NAME
ykushcmd - control application for Yepkit YKUSH Switchable USB Hub board

SYNOPSIS

ykushcmd [board_name] [-s serial_number] [OPTIONS] ...

DESCRIPTION

ykushcmd allows you to control the ports of a Yepkit YKUSH Switchable USB Hub board.

  Board names

    ykush          YKUSH board
    ykush3         YKUSH3 board
    ykushxs        YKUSHXS board

The [board_name] must be provided for commands addressed for a specific board.

For general or common commands, applicable to all board models, the [board_name] has to be omited from the command.

  YKUSH board options

-d 1|2|3|a

    Power Down/Off downstream port with the number privided.

    If [a] is provided as the port number then all ports will be switched.

-u 1|2|3|a

    Power Up/On downstream port number downstream_number

-s serial_number

    Board serial number to which the command is addressed.

    When multiple YKUSH boards are connected to a host, this option
    should be used to specify the board. If more than one board is
    connected and this option is not provided the command will be sent to
    the first board in the USB enumeration list.

-l

    Lists the serial numbers of the YKUSH boards attached to the host.

-g 1|2|3

    Show state of a downstream port.

-h

    Display help for YKUSH board specific commands.

  YKUSH3 board options

-d 1|2|3|a

    Power Down/Off downstream port with the number privided.

    If [a] is provided as the port number then all ports will be
    switched.

-u 1|2|3|a

    Power Up/On downstream port number downstream_number

-s serial_number

Board serial number to which the command is addressed.

    When multiple YKUSH boards are connected to a host, this option
    should be used to specify the board. If more than one board is
    connected and this option is not provided the command will be sent to
    the first board in the USB enumeration list.

-l

    Lists the serial numbers of the YKUSH boards attached to the host.

-g 1|2|3

    Show state of a downstream port.

-c <port-number> <config-value>

    Configure the default state of a downstream port
    (port-number=1|2|3|e) at power-on. The port number <e> refers to
    exteranl 5V port.

    The default states are off (config-value=0), on (config-value=1) and
    persistent (config-value=2).

-on

    Switch On the 5V output power port.

-off

    Switch Off the 5V output power port.

-r 1|2|3

    Read GPIO with the number provided (1, 2 or 3).

-w 1|2|3 0|1

    Write to the GPIO with the number provided (1, 2 or 3).

    Writing a value of 1 or 0 will drive the GPIO to logical high or low,
    respectively.

--gpio enable|disable

    Enable / Disable GPIO control interface. Will become active on next
    reset/power-on.

--reset

    Resets (reboot) the YKUSH3 board.

-h

    Display help for YKUSH board specific commands.

--bootloader-version

    Board bootloader version.

--firmware-version

    Board firmware version.

--boot

    Enter bootloader mode for firmware update.

  YKUSHXS board options

-d

    Power Down/Off the downstream port.

-u

    Power Up/On the downstream port

-s serial_number

    Board serial number to which the command is addressed.

    When multiple YKUSHXS boards are connected to a host, this option
    should be used to specify the board. If more than one board is
    connected and this option is not provided the command will be sent to
    the first board in the USB enumeration list.

-l

    Lists the serial numbers of the YKUSHXS boards attached to the host.

-g

    Show state of the downstream port.

-h

    Display help for YKUSHXS board specific commands.

BUGS

See GitHub issues:

COPYRIGHT AND LICENSE

ykush is Copyright (c) 2017 Yepkit Lda and is licensed under the Apache License, Version 2.0.

This manpage, base on the command line help, was written by Christoph Biedl for the Debian project but may be used by others.